package com.galaxis.manatee.controller;

import com.galaxis.manatee.service.LogCheckService;
import com.galaxis.manatee.service.LogService;
import com.galaxis.manatee.service.LogStandardService;
import com.galaxis.manatee.service.LogUpdateService;
import com.galaxis.manatee.task.WorkHourStatistics;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

/**
 * 日志工时controller
 * @author zcj
 * @version 0.1
 * @date 2021/3/4 3:56 上午
 */
@RestController
public class WorkHourController {

    private final LogCheckService logCheckService;
    private final LogStandardService logStandardService;
    private final LogUpdateService logUpdateService;
    private final WorkHourStatistics workHourStatistics;
    private final LogService logService;

    public WorkHourController(LogCheckService logCheckService, WorkHourStatistics workHourStatistics,LogStandardService logStandardService,LogUpdateService logUpdateService,LogService logService) {
        this.logCheckService = logCheckService;
        this.workHourStatistics = workHourStatistics;
        this.logStandardService = logStandardService;
        this.logUpdateService = logUpdateService;
        this.logService = logService;
    }

    /**
     * 检查工时不一致数据
     * @param userId    用户Id
     */
    @GetMapping("/test/workHour/checkSelfWorkHour")
    public void checkSelfWorkHour(@RequestParam("userId") String userId){
        try {
            logCheckService.checkDayWorkHour(userId);
        } catch (Exception e) {
            e.printStackTrace();
        }
    }

    /**
     * 标准化全部工时信息
     */
    @GetMapping("/test/workHour/standardDayWorkHourApi")
    public void standardDayWorkHourApi(){
        workHourStatistics.standardDayWorkHour();
    }

    /**
     * 上传日工时至氚云数据库
     */
    @GetMapping("/test/workHour/pullDayWorkHourApi")
    public void pullDayWorkHourApi(){
        workHourStatistics.pullDayWorkHour();
    }

    /**
     * 标准化半年内工时信息
     */
    @GetMapping("/test/workHour/standardHalfYearDayWorkHourApi")
    public void standardHalfYearDayWorkHourApi(){
        logStandardService.standardHalfYearWorkHour();
    }

    /**
     * 上传半年内日工时至氚云数据库
     */
    @GetMapping("/test/workHour/pullHalfYearDayWorkHourApi")
    public void pullHalfYearDayWorkHourApi(){
        logService.updateHalfYearChuanyunSelfWorkHour();
    }


}
